/************************************************************
(c)Copyright 1992 by Hewlett-Packard Co., Palo Alto, California.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Hewlett-Packard or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

HEWLETT-PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
HEWLETT-PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

********************************************************/

typedef union {
    long int                lheight;
    long int                ly;
    struct {
        short int           x;
        short int           y;
    } xy;
    struct {
        short int           width;
        short int           height;
    } wh;
    unsigned long int       all;
    struct {
        unsigned short int  high;
        unsigned short int  low;
    } w;
    struct {
        char   b0;
        char   b1;
        char   b2;
        char   b3;
    } b;
} dreg_cplx_t;


typedef volatile struct {
    long int pad1[70];
    unsigned long int reg1;
    long int pad2[217];
    unsigned long int reg2;
    long int pad3[7];
    unsigned long int reg3;
    long int pad4[87];
    unsigned long int reg4;
    long int pad5[39];
    unsigned long int reg5;
    long int pad6[87];
    dreg_cplx_t reg6;
    dreg_cplx_t reg7;
    long int pad8[6];
    unsigned long int reg8;
    long int pad9[120];
    dreg_cplx_t reg9;
    long int pad10[23934];
    unsigned long int reg10;
    unsigned long int reg11;
    long int pad12[1];
    unsigned long int reg12;
    long int pad13[2];
    unsigned long int reg13;
    dreg_cplx_t reg14;
    long int pad15[499704];    
    dreg_cplx_t reg15;
    dreg_cplx_t reg16;
    long int pad17[62];
    dreg_cplx_t reg17;
    dreg_cplx_t reg18;
    long int pad19[62];
    dreg_cplx_t reg19;
    long int pad20[1];
    dreg_cplx_t reg20;
    long int pad21[3];
    dreg_cplx_t reg21;
} ngle_dregs_t;
