/************************************************************
(c)Copyright 1992 by Hewlett-Packard Co., Palo Alto, California.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Hewlett-Packard or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

HEWLETT-PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
HEWLETT-PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

********************************************************/

/* This file contains stub procedures that do nothing or very little.  */

#ifndef MISC_H
#include "misc.h"
#endif /* MISC_H */
#include "nglenoop.h"



/******************************************************************************
 *
 * NGLE DDX Procedure:		ngleNoop()
 *
 * Description:
 *
 *	This routine does nothing.  It is useful for stubbing out a procedure
 *	pointer for a procedure that doesn't return anything.
 *
 ******************************************************************************/

void ngleNoop()
{
} /* ngleNoop() */



/******************************************************************************
 *
 * NGLE DDX Procedure:		ngleNoopTrue()
 *
 * Description:
 *
 *	This routine just returns TRUE.  It is useful for stubbing out a
 *	procedure pointer for a procedure that returns a boolean value
 *	where that value should be returned as TRUE.
 *
 ******************************************************************************/

Bool ngleNoopTrue()
{
    return(TRUE);
} /* ngleNoopTrue() */
